List tracked ZFS scrub runs
GET
/zfs/pools/{guid}/scrub/runs
const url = 'https://sylve.lan:8181/api/zfs/pools/example/scrub/runs';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/zfs/pools/example/scrub/runs \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”guid
required
string
Pool GUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
Array<object>
object
completedAt
string
createdAt
string
error
string
errors
string
examinedBytes
string
id
integer
issuedBytes
string
poolGuid
string
poolName
string
progressKnown
boolean
progressPct
integer
repairedBytes
string
requestedAt
string
scheduleId
integer
scheduledFor
string
source
string
startedAt
string
status
string
totalBytes
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "completedAt": "example", "createdAt": "example", "error": "example", "errors": "example", "examinedBytes": "example", "id": 1, "issuedBytes": "example", "poolGuid": "example", "poolName": "example", "progressKnown": true, "progressPct": 1, "repairedBytes": "example", "requestedAt": "example", "scheduleId": 1, "scheduledFor": "example", "source": "example", "startedAt": "example", "status": "example", "totalBytes": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}